Help in deploy process

I can not finish the build process. Here is the log:

10:42:25 PM: Build ready to start
10:42:27 PM: build-image version: 195fbe127e5c374d9c4758652cb62e3b8936a395 (focal)
10:42:27 PM: build-image tag: v4.6.0
10:42:27 PM: buildbot version: 4ac77ee15240cafa5a14a04b6ca18d8959fa98e6
10:42:27 PM: Fetching cached dependencies
10:42:27 PM: Failed to fetch cache, continuing with build
10:42:27 PM: Starting to prepare the repo for build
10:42:28 PM: No cached dependencies found. Cloning fresh repo
10:42:28 PM: git clone git@gitlab.com:maxcyrek/cyrekdigital-gatsby
10:42:28 PM: Preparing Git Reference refs/heads/master
10:42:29 PM: Parsing package.json dependencies
10:42:30 PM: Starting build script
10:42:30 PM: Installing dependencies
10:42:30 PM: Python version set to 2.7
10:42:31 PM: Downloading and installing node v16.14.2...
10:42:32 PM: Downloading nodejs.org/dist/v16.14.2/node-v16.14.2-linux-x64.tar.xz...
10:42:32 PM: Computing checksum with sha256sum
10:42:32 PM: Checksums matched!
10:42:35 PM: Now using node v16.14.2 (npm v8.5.0)
10:42:35 PM: Started restoring cached build plugins
10:42:35 PM: Finished restoring cached build plugins
10:42:35 PM: Attempting ruby version 2.7.2, read from environment
10:42:37 PM: Using ruby version 2.7.2
10:42:37 PM: Using PHP version 8.0
10:42:37 PM: Started restoring cached node modules
10:42:37 PM: Finished restoring cached node modules
10:42:38 PM: Installing NPM modules using NPM version 8.5.0
10:43:17 PM: npm WARN deprecated source-map-url@0.4.1: See /lydell/source-map-url#deprecated
10:43:18 PM: npm WARN deprecated urix@0.1.0: Please see /lydell/urix#deprecated
10:43:18 PM: npm WARN deprecated resolve-url@0.2.1: /lydell/resolve-url#deprecated
10:43:18 PM: npm WARN deprecated source-map-resolve@0.5.3: See /lydell/source-map-resolve#deprecated
10:43:19 PM: npm WARN deprecated uuid@3.4.0: Please upgrade  to version 7 or higher.  Older versions may use Math.random() in certain circumstances, which is known to be problematic.  See v8.dev/blog/math-random for details.
10:43:19 PM: npm WARN deprecated uuid@3.4.0: Please upgrade  to version 7 or higher.  Older versions may use Math.random() in certain circumstances, which is known to be problematic.  See v8.dev/blog/math-random for details.
10:43:19 PM: npm WARN deprecated uuid@3.4.0: Please upgrade  to version 7 or higher.  Older versions may use Math.random() in certain circumstances, which is known to be problematic.  See v8.dev/blog/math-random for details.
10:43:21 PM: npm WARN deprecated async-cache@1.1.0: No longer maintained. Use [lru-cache](http://npm.im/lru-cache) version 7.6 or higher, and provide an asynchronous `fetchMethod` option.
10:43:28 PM: npm WARN deprecated querystring@0.2.1: The querystring API is considered Legacy. new code should use the URLSearchParams API instead.
10:43:30 PM: npm WARN deprecated babel-eslint@10.1.0: babel-eslint is now @babel/eslint-parser. This package will no longer receive updates.
10:43:32 PM: npm WARN deprecated subscriptions-transport-ws@0.9.19: The `subscriptions-transport-ws` package is no longer maintained. We recommend you use `graphql-ws` instead. For help migrating Apollo software to `graphql-ws`, see 
10:43:34 PM: npm WARN deprecated svgo@1.3.2: This SVGO version is no longer supported. Upgrade to v2.x.x.
10:44:00 PM: added 1771 packages, and audited 1772 packages in 1m
10:44:00 PM: 223 packages are looking for funding
10:44:00 PM:   run `npm fund` for details
10:44:00 PM: 31 vulnerabilities (9 moderate, 22 high)
10:44:00 PM: To address issues that do not require attention, run:
10:44:00 PM:   npm audit fix
10:44:00 PM: To address all issues (including breaking changes), run:
10:44:00 PM:   npm audit fix --force
10:44:00 PM: Run `npm audit` for details.
10:44:00 PM: NPM modules installed
10:44:00 PM: Started restoring cached go cache
10:44:00 PM: Finished restoring cached go cache
10:44:00 PM: go version go1.16.5 linux/amd64
10:44:00 PM: go version go1.16.5 linux/amd64
10:44:00 PM: Installing missing commands
10:44:00 PM: Verify run directory
10:44:02 PM: ​
10:44:02 PM: ────────────────────────────────────────────────────────────────
10:44:02 PM:   Netlify Build                                                 
10:44:02 PM: ────────────────────────────────────────────────────────────────
10:44:02 PM: ​
10:44:02 PM: ❯ Version
10:44:02 PM:   @netlify/build 26.5.0
10:44:02 PM: ​
10:44:02 PM: ❯ Flags
10:44:02 PM:   baseRelDir: true
10:44:02 PM:   buildId: 623a42c1a3ddca3453a9ce45
10:44:02 PM:   deployId: 623a42c1a3ddca3453a9ce47
10:44:02 PM: ​
10:44:02 PM: ❯ Current directory
10:44:02 PM:   /opt/build/repo
10:44:02 PM: ​
10:44:02 PM: ❯ Config file
10:44:02 PM:   No config file was defined: using default values.
10:44:02 PM: ​
10:44:02 PM: ❯ Context
10:44:02 PM:   production
10:44:02 PM: ​
10:44:02 PM: ❯ Installing plugins
10:44:02 PM:    - @netlify/plugin-gatsby@2.1.4
10:44:13 PM: ​
10:44:13 PM: ❯ Loading plugins
10:44:13 PM:    - @netlify/plugin-gatsby@2.1.4 from Netlify app
10:44:15 PM: ​
10:44:15 PM: ────────────────────────────────────────────────────────────────
10:44:15 PM:   1. @netlify/plugin-gatsby (onPreBuild event)                  
10:44:15 PM: ────────────────────────────────────────────────────────────────
10:44:15 PM: ​
10:44:15 PM: No Gatsby cache found. Building fresh.
10:44:15 PM: Please install `gatsby-plugin-netlify` and enable it in your gatsby-config.js. 
10:44:15 PM: ​
10:44:15 PM: (@netlify/plugin-gatsby onPreBuild completed in 11ms)
10:44:15 PM: ​
10:44:15 PM: ────────────────────────────────────────────────────────────────
10:44:15 PM:   2. Build command from Netlify app                             
10:44:15 PM: ────────────────────────────────────────────────────────────────
10:44:15 PM: ​
10:44:15 PM: $ gatsby build
10:44:19 PM: success compile gatsby files - 0.837s
10:44:19 PM: success load gatsby config - 0.037s
10:44:20 PM: success load plugins - 1.142s
10:44:20 PM: success onPreInit - 0.012s
10:44:20 PM: success initialize cache - 0.073s
10:44:20 PM: success copy gatsby files - 0.110s
10:44:20 PM: success Compiling Gatsby Functions - 0.244s
10:44:20 PM: success onPreBootstrap - 0.273s
10:44:22 PM: success  gatsby-source-wordpress  ensuring plugin requirements are met - 1.848s
10:44:24 PM: β €
10:44:24 PM: info  gatsby-source-wordpress 
10:44:24 PM: 	This is either your first build or the cache was cleared.
10:44:24 PM: 	Please wait while your WordPress data is synced to your Gatsby cache.
10:44:24 PM: 	Maybe now's a good time to get up and stretch? :D
10:44:26 PM: success  gatsby-source-wordpress  ingest WPGraphQL schema - 3.797s
10:44:26 PM: success createSchemaCustomization - 5.773s
10:44:27 PM: success  gatsby-source-wordpress  Job - 0.992s - fetched 1
10:44:27 PM: success  gatsby-source-wordpress  CaseStudyCategory - 1.051s - fetched 0
10:44:27 PM: success  gatsby-source-wordpress  Comment - 1.052s - fetched 0
10:44:28 PM: success  gatsby-source-wordpress  CaseStudy - 1.238s - fetched 0
10:44:28 PM: success  gatsby-source-wordpress  fetch root fields - 1.298s
10:44:28 PM: success  gatsby-source-wordpress  Category - 1.334s - fetched 7
10:44:28 PM: success  gatsby-source-wordpress  JobCategory - 1.333s - fetched 4
10:44:28 PM: success  gatsby-source-wordpress  KnowledgeBaseCategory - 1.388s - fetched 0
10:44:28 PM: success  gatsby-source-wordpress  ContentType - 1.392s - fetched 7
10:44:28 PM: success  gatsby-source-wordpress  MenuItem - 1.476s - fetched 0
10:44:28 PM: success  gatsby-source-wordpress  Menu - 1.506s - fetched 0
10:44:28 PM: success  gatsby-source-wordpress  PostFormat - 1.541s - fetched 0
10:44:28 PM: success  gatsby-source-wordpress  KnowledgeBase - 1.632s - fetched 2
10:44:28 PM: success  gatsby-source-wordpress  Post - 1.947s - fetched 5
10:44:29 PM: success  gatsby-source-wordpress  Page - 2.261s - fetched 52
10:44:29 PM: success  gatsby-source-wordpress  Taxonomy - 0.788s - fetched 7
10:44:29 PM: success  gatsby-source-wordpress  Tag - 0.864s - fetched 0
10:44:30 PM: success  gatsby-source-wordpress  UserRole - 0.986s - fetched 0
10:44:30 PM: success  gatsby-source-wordpress  Testimonial - 1.017s - fetched 0
10:44:30 PM: success  gatsby-source-wordpress  RecommendationTag - 1.185s - fetched 1
10:44:30 PM: success  gatsby-source-wordpress  User - 1.375s - fetched 2
10:44:32 PM: error UNHANDLED REJECTION Expected positive integer for width but received 0 of type number
10:44:32 PM: 
10:44:32 PM: 
10:44:32 PM:   WorkerError: Expected positive integer for width but received 0 of type number  
10:44:32 PM:   - manager.ts:311 enqueueJob
10:44:32 PM:     [repo]/[gatsby]/src/utils/jobs/manager.ts:311:21
10:44:32 PM:   
10:44:32 PM: 
10:44:32 PM: not finished source and transform nodes - 6.377s
10:44:32 PM: not finished  gatsby-source-wordpress  fetching nodes - 6.206s - 99 total
10:44:32 PM: not finished  gatsby-source-wordpress  creating nodes - 2.550s
10:44:32 PM: not finished  gatsby-source-wordpress  MediaItem - 2.550s - fetched 11
10:44:32 PM: not finished Downloading remote files - 1.436s
10:44:32 PM: not finished Running gatsby.IMAGE_CDN jobs - 0.578s
10:44:33 PM: ​
10:44:33 PM: ────────────────────────────────────────────────────────────────
10:44:33 PM:   "build.command" failed                                        
10:44:33 PM: ────────────────────────────────────────────────────────────────
10:44:33 PM: ​
10:44:33 PM:   Error message
10:44:33 PM:   Command failed with exit code 1: gatsby build
10:44:33 PM: ​
10:44:33 PM:   Error location
10:44:33 PM:   In Build command from Netlify app:
10:44:33 PM:   gatsby build
10:44:33 PM: ​
10:44:33 PM:   Resolved config
10:44:33 PM:   build:
10:44:33 PM:     command: gatsby build
10:44:33 PM:     commandOrigin: ui
10:44:33 PM:     environment:
10:44:33 PM:       - INCOMING_HOOK_BODY
10:44:33 PM:       - INCOMING_HOOK_TITLE
10:44:33 PM:       - INCOMING_HOOK_URL
10:44:33 PM:     publish: /opt/build/repo/public
10:44:33 PM:     publishOrigin: ui
10:44:33 PM:   plugins:
10:44:33 PM:     - inputs: {}
10:44:33 PM:       origin: ui
10:44:33 PM:       package: '@netlify/plugin-gatsby'
10:44:33 PM: Caching artifacts
10:44:33 PM: Started saving node modules
10:44:33 PM: Finished saving node modules
10:44:33 PM: Started saving build plugins
10:44:33 PM: Finished saving build plugins
10:44:33 PM: Started saving pip cache
10:44:33 PM: Finished saving pip cache
10:44:33 PM: Started saving emacs cask dependencies
10:44:33 PM: Finished saving emacs cask dependencies
10:44:33 PM: Started saving maven dependencies
10:44:33 PM: Finished saving maven dependencies
10:44:33 PM: Started saving boot dependencies
10:44:33 PM: Finished saving boot dependencies
10:44:35 PM: Creating deploy upload records
10:44:33 PM: Started saving rust rustup cache
10:44:33 PM: Finished saving rust rustup cache
10:44:33 PM: Started saving go dependencies
10:44:33 PM: Finished saving go dependencies
10:44:35 PM: Build failed due to a user error: Build script returned non-zero exit code: 2
10:44:35 PM: Failed during stage 'building site': Build script returned non-zero exit code: 2 
10:44:35 PM: Failing build: Failed to build site
10:44:35 PM: Finished processing build request in 2m8.293540726s

Hiya, sorry you are having trouble with your build.

This Support Guide contains a ton of useful debugging tips that can likely help you solve your problem :slight_smile: Additionally, this Support Guide houses all of our resources for debugging build and deploy issues.

We also recommend trying to search the forums with the build error you encountered - it’s likely your question was already asked by someone else!

If you are still having problems, please provide as much information as you can on what you have already tried, what your build settings are, your package.json, etc. Thanks!

package.js

"scripts": {
    "develop": "gatsby develop",
    "start": "gatsby develop",
    "build": "gatsby build",
    "serve": "gatsby serve",
    "clean": "gatsby clean"
  },
  "dependencies": {
    "gatsby": "^4.10.0",
    "gatsby-plugin-breadcrumb": "^12.3.1",
    "gatsby-plugin-image": "^2.10.0",
    "gatsby-plugin-react-helmet": "^5.10.0",
    "gatsby-plugin-sass": "^5.10.1",
    "gatsby-plugin-sharp": "^4.10.1",
    "gatsby-source-gravityforms": "^1.0.18",
    "gatsby-source-wordpress": "^6.10.1",
    "gatsby-transformer-sharp": "^4.10.0",
    "gql-query-builder": "^3.5.9",
    "html-react-parser": "^1.4.8",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-helmet": "^6.1.0",
    "sass": "^1.49.9",
    "string-strip-html": "^9.1.7"
  },
  "devDependencies": {
    "gatsby-plugin-netlify": "^4.1.0"
  }

Plugins:

  plugins: [{
    resolve: 'gatsby-source-wordpress',
    options: {
      "url": "https://cms.cyrekdigital.com/graphql"
    }
  },
    "gatsby-plugin-sass",
    "gatsby-plugin-react-helmet",
    "gatsby-plugin-netlify",
    `gatsby-transformer-sharp`,
    `gatsby-plugin-sharp`,
  ]

hi there,

the above is undeniably the source of your problems.

something about the information you are trying to parse is causing the build to stop.

i cant tell you exactly how to resolve this, but if you can fix it, you are more likely to have a successful build.